Ticket #4462 (closed defect: fixed)

Opened 6 years ago

Last modified 6 years ago

透過PNG画像の原寸表示時に透過情報が正しく処理されない

Reported by: kiwpon Assigned to: nagasawa
Priority: critical Milestone: OpenPNE2.14.9
Component: 指定しない Version: 2.14.x
Keywords: Cc:

Description (Last modified by nagasawa)

■概要

透過PNGをアップロードした場合、リサイズされた場合は透過情報が正しく処理されるが、原寸大の画像を表示した場合に透過情報が黒くなってしまう。

■原因

原寸表示時、DBから画像キャッシュを生成する際にアルファ情報を保持していないことが原因。

■修正内容

create_cache_from_raw_img() で画像生成時に以下の関数を追加する。

imagealphablending($output_gdimg, false);
imagesavealpha($output_gdimg, true);

(詳細については http://php.net/manual/ja/function.imagesavealpha.php を参照)

■関連情報

  • #1781 画像縮小時、PNG-24の透過画像が正しく処理されない
  • #4127 ImageMagick使用時に透過PNGが正しく処理されない

Change History

11/29/10 17:31:17 changed by kiwpon

  • description changed.

(follow-up: ↓ 3 ) 02/01/11 18:37:33 changed by nagasawa

  • keywords set to 確認中.

#4172 の Img.php への修正でこの問題も解消されています。

(in reply to: ↑ 2 ) 02/01/11 18:38:18 changed by nagasawa

Replying to nagasawa:

#4172 の Img.php への修正でこの問題も解消されています。

#4127 の間違いでした。

02/03/11 15:49:39 changed by kiwpon

  • owner changed from nobody to nagasawa.

02/07/11 17:31:17 changed by nagasawa

  • description changed.

02/13/11 03:01:12 changed by urabe

  • keywords changed from 確認中 to テスト待ち.

#4127 のコードチェックは済んでいます

02/14/11 19:48:42 changed by imamura623

  • keywords deleted.
  • status changed from new to closed.
  • resolution set to fixed.

#4127 の動作確認でこちらも問題ないと判断します。